Referência da APIDatasets
List a dataset's records in load order
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
dataset_id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Format
uuidQuery Parameters
cursor?string
next_cursor from the previous page
Match
^\d+$limit?integer
Range
1 <= value <= 500Default
100ingestion_id?string
Only records loaded by this ingestion
Match
^\d+$q?string
External id prefix
Length
length <= 200Default
""filter?array<string>
field:operator:value; operators eq, ne, contains, prefix, gt, gte, lt, lte, empty, present. Repeat for AND.
Default
[]state?string
Reconciliation state, in ruleset_id when given or in any ruleset
Value in
- "open"
- "reconciled"
ruleset_id?string
Default
""ingested_from?string
YYYY-MM-DD
Default
""ingested_to?string
YYYY-MM-DD
Default
""Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/records"{ "data": [ { "id": -9007199254740991, "external_id": "string", "ingestion_id": -9007199254740991, "ingested_on": "string", "values": { "property1": null, "property2": null } } ], "next_cursor": -9007199254740991, "total": -9007199254740991, "total_capped": true}
